/// <reference types="webpack" />
import { Plugin, PluginBuilderSchema } from './schema';
export declare let plugin: Plugin;
export declare enum PluginHook {
    PRE = "pre",
    CONFIG = "config",
    POST = "post"
}
export declare function loadPlugin(root: string, options: PluginBuilderSchema): void;
export declare function executeHook(hook: PluginHook, data: any): import("webpack").Configuration;
